/* ===== Root ===== */
:root {
  --bg: #fff;
  --shadow: rgb(50, 52, 59);
  --muted: rgb(83, 83, 83);
  --dark: rgb(48, 55, 62);
  --orange: #ef6434;
  --line: rgba(35, 38, 45, 0.14);
  --max: 1290px;
  --border: rgb(239, 102, 55);
  --focus: rgb(239, 104, 57);
  --error: rgb(220, 50, 50);
  --icon: rgb(239, 100, 52);
}

body {
  background-color: var(--bg);
  color: #000;
}

/* ===== Contact ===== */
.section.main {
  padding: 0;
  margin: 0;
  width: unset;
}

.container {
  display: grid;
  grid-template-columns: 1fr 1.25fr;
  grid-template-rows: 1fr 1fr;
}

.item.contact {
  padding: 10%;
}

ul {
  list-style: none;
  padding: 0;
}

li:not(:last-child) {
  border-bottom: 1px solid var(--line);
}

li {
  display: flex;
  gap: 1rem;
  margin: 2rem 0;
}

.eyebrow {
  margin: 0;
}

.contact ul p {
  margin: 8px 0;
}

h1 {
  font-size: 44px;
  font-weight: 700;
  margin: 2rem 0 3rem;
}

.contact a {
  transition: color ease 0.3s;
}

.contact a:hover {
  color: var(--orange);
}

.contact h3 {
  font-size: 16px;
  font-weight: 600;
  margin: 0;
}

.contact svg {
  color: var(--icon);
}

@media (max-width: 1200px) {
  h1 {
    font-size: 40px;
    font-weight: 600;
  }
}

@media (max-width: 992px) {
  h1 {
    font-size: 36px;
  }
}

@media (max-width: 768px) {
  .container {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, auto);
  }

  .item.contact {
    text-align: center;
    padding: 2rem 1rem;
  }

  li {
    display: block;
  }
}

/* ===== Map ===== */
iframe {
  width: 100%;
  height: 100%;
  min-height: 400px;
}

@media (max-width: 768px) {
  .map {
    margin-bottom: 4rem;
  }
}

/* ===== Pic ===== */
.item.pic {
  padding: 0;
}

.pic img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ===== Inputs ===== */
.item.contact-inputs {
  padding: 85px 30px;
}

.contact-inputs h2 {
  margin: 0;
  font-size: 24px;
  font-weight: 600;
}

.contact-inputs p {
  font-size: 15px;
  font-weight: 400;
  color: var(--muted);
  margin: 24px 0;
}

.inputs {
  margin-top: 4rem;
}

.inputs-header {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}

.input {
  display: flex;
  flex-wrap: wrap;
}

.inputs input,
.inputs textarea {
  width: 100%;
  font-size: 14px;
  padding: 15px 22px;
  border: 1px solid var(--line);
  border-radius: 3px;
  background-color: rgb(246, 246, 246);
  transition:
    border-color 0.35s ease,
    background-color 0.35s ease;
}

.inputs input:focus,
.inputs input:focus-within,
.inputs textarea:focus,
.inputs textarea:focus-within {
  border-color: var(--border);
  outline: none;
  box-shadow: none;
}

.inputs input::placeholder,
.inputs textarea::placeholder {
  opacity: 1;
  transition: opacity 0.5s ease;
}

.inputs input:focus::placeholder,
.inputs textarea:focus::placeholder {
  opacity: 0;
}

.error-container {
  width: 100%;
  height: 2rem;
}

.error {
  display: none;
  font-size: 16px;
  font-weight: 400;
  color: var(--error);
}

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--dark);
  padding: 18px 3rem;
  font-size: 12px;
  font-weight: 800;
  border: none;
}

.button:hover {
  cursor: pointer;
}

@media (max-width: 768px) {
  .inputs-header {
    grid-template-columns: 1fr;
    gap: 0;
  }

  .item.contact-inputs {
    padding-bottom: 1rem;
  }

  .contact-inputs {
    text-align: center;
  }

  .contact-inputs h2 {
    font-size: 20px;
  }

  .button {
    margin: 0 auto;
  }
}
